{pkgs}:
pkgs.stdenv.mkDerivation rec {
  pname = "esp-rom-elfs";
  version = "20241011";
  src =
    builtins.fetchurl
    {
      url = "https://github.com/espressif/${pname}/releases/download/${version}/${pname}-${version}.tar.gz";
      sha256 = "sha256:1ag9z459pgr7rmjxqfl8a6mayjiqffqmbvmzixicf8d4ch0h07wj";
    };

  preferLocalBuild = true;

  dontUnpack = true;

  installPhase = ''
    mkdir -p "$out"
    cd "$out"
    tar -xf $src
  '';
}
