{
  description = "A flake providing espressifs rust fork for esp32";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    nixpkgs-python.url = "github:cachix/nixpkgs-python";
  };

  outputs = {
    nixpkgs,
    nixpkgs-python,
    flake-utils,
    ...
  }:
    flake-utils.lib.eachDefaultSystem (
      system: let
        pkgs = nixpkgs.legacyPackages.${system};
        pkgs-python = nixpkgs-python.packages.${system};
      in {
        packages = rec {
          rust = import ./rust.nix {inherit pkgs system;};
          clang = import ./clang.nix {inherit pkgs system;};
          esp-idf = import ./esp-idf.nix {inherit pkgs system;};
          openocd-esp32 = import ./openocd-esp32.nix {inherit pkgs system;};
          xtensa-esp-elf-gdb = import ./xtensa-esp-elf-gdb.nix {inherit pkgs pkgs-python system;};
          xtensa-esp-elf = import ./xtensa-esp-elf.nix {inherit pkgs system;};
          esp-rom-elfs = import ./esp-rom-elfs.nix {inherit pkgs;};
          default = rust;
        };
      }
    );
}
