{
  pkgs,
  system,
}: let
  systems_table = {
    "x86_64-linux" = {
      system = "linux-amd64";
      hash = "1pw54ja4fmhy4rlaq8hirp5na8xvj5pah2azmnz494n9dl1hyaz8";
    };
  };
  system_download = systems_table.${system};
in
  pkgs.stdenv.mkDerivation rec {
    pname = "openocd-esp32";
    version = "0.12.0-esp32-20241016";
    src =
      builtins.fetchurl
      {
        url = "https://github.com/espressif/${pname}/releases/download/v${version}/${pname}-${system_download.system}-${version}.tar.gz";
        sha256 = system_download.hash;
      };

    preferLocalBuild = true;

    nativeBuildInputs = with pkgs; [
      autoPatchelfHook
    ];

    buildInputs = with pkgs; [
      systemd
      libusb1
    ];

    installPhase = ''
      mkdir -p "$out"
      cp -R ./{bin,share} "$out"
    '';
  }
