{
  pkgs,
  pkgs-python,
  system,
}: let
  systems_table = {
    "x86_64-linux" = {
      system = "x86_64-linux-gnu";
      hash = "sha256:0g9lk7snccn5464fs1mpyhylmvra0bvn6icqpbsxgixis94l6xqq";
    };
  };
  system_download = systems_table.${system};
in
  pkgs.stdenv.mkDerivation rec {
    pname = "xtensa-esp-elf-gdb";
    version = "15.2_20241112";
    src =
      builtins.fetchurl
      {
        url = "https://github.com/espressif/binutils-gdb/releases/download/esp-gdb-v${version}/${pname}-${version}-${system_download.system}.tar.gz";
        sha256 = system_download.hash;
      };

    preferLocalBuild = true;

    nativeBuildInputs = with pkgs; [
      autoPatchelfHook
    ];

    buildInputs = with pkgs; [
      pkgs-python."3.8"
      pkgs-python."3.9"
      pkgs-python."3.10"
      pkgs-python."3.11"
      pkgs-python."3.12"
      pkgs-python."3.13"
    ];

    installPhase = ''
      mkdir -p "$out"
      cp -R ./{bin,lib} "$out"
    '';
  }
