{
  pkgs,
  system,
}: let
  systems_table = {
    "x86_64-linux" = {
      system = "x86_64-linux-gnu";
      hash = "sha256:1s86y3wss3vp5r6c076gz23hs62rkx1qc6vffjp42md86krrv1di";
    };
  };
  system_download = systems_table.${system};
in
  pkgs.stdenv.mkDerivation rec {
    pname = "xtensa-esp-elf";
    version = "14.2.0_20241119";
    src =
      builtins.fetchurl
      {
        url = "https://github.com/espressif/crosstool-NG/releases/download/esp-${version}/${pname}-${version}-${system_download.system}.tar.gz";
        sha256 = system_download.hash;
      };

    preferLocalBuild = true;

    nativeBuildInputs = with pkgs; [
      autoPatchelfHook
    ];

    buildInputs = with pkgs; [
      pkgs.stdenv.cc.cc
    ];

    installPhase = ''
      mkdir -p "$out"
      cp -R ./{bin,lib} "$out"
    '';
  }
